hook_theme() should at least return an empty array. Though really this unused function shouldn't be declared at all. But for now, here's a patch.

Comments

Category:bug» support
Status:Needs review» Closed (won't fix)

Not sure what project or version this bug/patch is against.

Status:Closed (won't fix)» Needs review

Well I set the version of the issue to 6.x-1.x-dev - does that give you any indication?

No. I don't see a version 6.x-1.x of this module. And I don't see the code you referenced in ldap_integration project. So I'm at a loss.

Status:Needs review» Closed (won't fix)

The version exists in your git repos - I generated this patch and the one in #1864316: Parse error in ldap_authentication (6.x) from a checkout I made yesterday:

http://drupalcode.org/project/ldap.git/shortlog/refs/heads/6.x-1.x

This version is also an available tag in your issue queue.

If you use drush, you can drush dl ldap into a drupal 6 installation. Which is how I wound up with it.

I guess "maintainer doesn't know it exists" is the very definition of unsupported.

All this patch and the above mentioned one does is to allow people to enable ldap_authentication on drupal 6 installs without crashing their install. I don't mean to be an irritant. I won't re-reopen this again should you choose to close it.

I hope you will excuse my earlier snippiness but I found it hard to credit you would deny the existence of the version entirely. I am closing this issue.